import { optionTypeList, stemTypeList, scoreTypeList, questionNumberTypeList } from './common';
import { getRandomNumber } from '@/utils/index';

// 连线类型列表
export const matchingTypeList = [
  { value: 2, label: '2列' },
  { value: 3, label: '3列' },
];

// 连线题数据模板
export const matchingData = {
  type: 'matching', // 题型
  stem: '', // 题干
  option_number_show_mode: optionTypeList[0].value, // 选项类型
  description: '', // 描述
  option_list: [{ column_list: [{ content: '', mark: getRandomNumber() }] }], // 选项
  answer: { column_list: [], score: 0, score_type: scoreTypeList[0].value }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[0].value, // 题干类型
    question_number: 1, // 题号
    column_number: matchingTypeList[0].value, // 列数
    is_enable_description: false, // 描述
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[0].value, // 题号类型
  },
};
